/***************************************************************************
 *   This file is part of the KuFTP project                                *
 *   Copyright (C) 2008 by Jiang JingJing                                  *
 *   jiangjingjing214@gmail.com                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
/*   original copyright notes                 */
/**********************************************
 *   Jernej Kos <kostko@jweb-network.net>
 *   Markus Brueffer <markus@brueffer.de>
 *
 *   Malte Starostik <malte@kde.org>
 *   Duncan Mac-Vicar Prett <duncan@kde.org>
 **********************************************/


#ifndef KUFTPBALLOON_H
#define KUFTPBALLOON_H

#include <qwidget.h>

class QString;
class QPoint;
class QMouseEvent;

class KuFtpBalloon : public QWidget
{
	Q_OBJECT
	public:
	    KuFtpBalloon(const QString &text, const QString &pic);
	    void setAnchor(const QPoint &anchor);
	    void mousePressEvent(QMouseEvent *e);
	signals:
	    void signalBalloonClicked();
	protected:
	    void updateMask();
	private:
	    QPoint anchor;
};



#endif


