/***************************************************************************
 *   This file is part of the KuFTP project                                *
 *   Copyright (C) 2008 by Jiang JingJing                                  *
 *   jiangjingjing214@gmail.com                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef KUFTPCONNECTDIALOG_H
#define KUFTPCONNECTDIALOG_H

#include <qtabdialog.h>

class QWidget;
class QLabel;
class QSpinBox;
class QCheckBox;
class QGroupBox;
class QButtonGroup;
class QRadioButton;
class QSpacerItem;
class QGridLayout;

class KComboBox;
class KLineEdit;
class KTabWidget;
class KPasswordEdit;
class KToolBarButton;

class KuFtpSiteInfo;

struct historyItem_t
{
	KuFtpSiteInfo *ptr;
	int index;
};

class KuFtpConnectDialog:public QTabDialog
{
	Q_OBJECT
	public:
		KuFtpConnectDialog(QWidget *parent=0);
		~KuFtpConnectDialog();

		QWidget *generalTab;
		QGridLayout *generalLayout;
		QLabel *historyLabel;
		KComboBox *historyComboBox;
		KToolBarButton *clearHistoryButton;
		QLabel *hostLabel;
		KLineEdit *hostLineEdit;
		QLabel *portLabel;
		QSpinBox  *portSpinBox;
		QLabel *usernameLabel;
		KLineEdit *usernameLineEdit;
		QCheckBox *anonymousCheckBox;
		QLabel *passwordLabel;
		KPasswordEdit *passwordEdit;
		QLabel *remotePathLabel;
		KLineEdit *remotePathLineEdit;
		QLabel *proxyLabel;
		KComboBox *proxyComboBox;

		QWidget *advancedTab;
		QGridLayout *advancedLayout;
		QCheckBox *modeCheckBox;
		QCheckBox *correctPasvCheckBox;
		QButtonGroup *encryptButtonGroup;
		QRadioButton *noEncryptRadioButton;
		QRadioButton *encryptControlRadioButton;
		QRadioButton *encryptControlAndDirRadioButton;
		QRadioButton *encryptAllRadioButton;
		QGroupBox *codecGroupBox;
		KComboBox *codecComboBox;
		QSpacerItem *spacer;

		int getEncryptMethod();
		void setEncryptButtonGroupChecked(int encryptMethod);
	private:
		QPtrList<historyItem_t> pl_historyItem;

		void readHistory();
		void writeHistory();
	private slots:
		void SLOT_anonymousCheckBoxClicked();
		void SLOT_parseHostLineEditText();
		void SLOT_historyItemSelectChanged(int);
		void SLOT_clearHistory();
};

#endif
