/***************************************************************************
 *   This file is part of the KuFTP project                                *
 *   Copyright (C) 2008 by Jiang JingJing                                  *
 *   jiangjingjing214@gmail.com                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <qpushbutton.h>
#include <qlabel.h>
#include <qlayout.h>

#include <klineedit.h>
#include <klocale.h>

#include "kuftpeditnamedialog.h"

KuFtpEditNameDialog::KuFtpEditNameDialog(QString oldFilename,QWidget *parent):QDialog(parent)
{
	QString s(i18n("Please enter new name "));
	if(oldFilename!=NULL)
		s.append(i18n("for [")).append(oldFilename).append("]");
    	label = new QLabel( s,this );
    	lineEdit = new KLineEdit( this );
	label->setBuddy( lineEdit );

    	okButton = new QPushButton( i18n("OK"), this);
	okButton->setEnabled( FALSE );
    	okButton->setDefault( TRUE );
	cancelButton = new QPushButton(i18n("Cancel") ,this );
    	connect( okButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
	connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    	connect( lineEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( enableOkButton() ) );
    
	QHBoxLayout *hlayout=new QHBoxLayout();
	hlayout->addStretch(1);
    	hlayout->addWidget(okButton);
    	hlayout->addWidget(cancelButton);
    	hlayout->setSpacing(5);
    	QVBoxLayout *vlayout=new QVBoxLayout(this);
	vlayout->addWidget(label);
    	vlayout->addWidget(lineEdit);
	vlayout->addLayout(hlayout);
    	vlayout->setSpacing(5);
	vlayout->setMargin(5);

    	setTabOrder( lineEdit, okButton );
	setTabOrder( okButton, cancelButton );
	resize(280,100);
}

void KuFtpEditNameDialog::enableOkButton()
{
	okButton->setEnabled(true);
}

