/***************************************************************************
 *   This file is part of the KuFTP project                                *
 *   Copyright (C) 2008 by Jiang JingJing                                  *
 *   jiangjingjing214@gmail.com                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef KUFTPQUEUE_H
#define KUFTPQUEUE_H

class QString;
class QStringList;
template<class type>
class QPtrList;

class KListViewItem;
class KuFtpSiteInfo;
#define off64_t __off64_t
class KuFtpQueueItem
{
	public:
		enum status_t{download=0,upload} status;
		KuFtpQueueItem(status_t status,QString remotePath,QString localPath=NULL,off64_t xfered=0,off64_t size=0);
		void setXfered(off64_t x){xfered=x;}
		off64_t getXfered(){return xfered;}
		void setSize(off64_t s){size=s;}
		off64_t getSize(){return size;}
		void setElapsedTime(int t){elapsedTime=t;}
		int getElapsedTime(){return elapsedTime;}
		QString getRemotePath(){return remotePath;}
		QString getLocalPath(){return localPath;}

		KListViewItem *ptr;
		bool failed;
		bool transfering;
	private:
		off64_t xfered;
		off64_t size;
		int elapsedTime;
		QString remotePath;
		QString localPath;
};

class KuFtpQueue
{
	public:
		KuFtpQueue();
		KuFtpQueue(KuFtpSiteInfo *site);
		void setSite(KuFtpSiteInfo *site);
		void setActive(bool i){active=i;}
		bool getIsActive(){return active;}
		void setFailedQueueItems(int i){failedQueueItems=i;}
		int getFailedQueueItems(){return failedQueueItems;}

		KuFtpSiteInfo *site;
		KListViewItem *ptr;
		QPtrList<KuFtpQueueItem> pl_queueItem;
		QStringList mkdirList;
	private:
		bool active;
		int failedQueueItems;
};
#endif


