/***************************************************************************
 *   This file is part of the KuFTP project                                *
 *   Copyright (C) 2008 by Jiang JingJing                                  *
 *   jiangjingjing214@gmail.com                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef KUFTPSITEINFO_H
#define KUFTPSITEINFO_H

#include <qstring.h>

class KuFtpSiteInfo
{
	public:
		KuFtpSiteInfo(QString name,QString host,unsigned int port,QString username,QString password,QString remotePath=NULL,QString localPath=NULL,int proxyIndex=0,int encryptMethod=0,bool pasv=true,bool correctPasv=false,QString encoding=NULL,QString comment=NULL);
		void setSiteInfo(QString name,QString host,unsigned int port,QString username,QString password,QString remotePath=NULL,QString localPath=NULL,int proxyIndex=0,int encryptMethod=0,bool pasv=true,bool correctPasv=false,QString encoding=NULL,QString comment=NULL);
		QString getSiteName(){return siteName;}
		void setSiteName(QString s){siteName=s;}
                QString getComment(){return comment;}
		void setComment(QString s){comment=s;}
                QString getHost(){return host;}
		void setHost(QString s){host=s;}
                unsigned int getPort(){return port;}
		void setPort(unsigned int i){port=i;}
                QString getUsername(){return username;}
		void setUsername(QString s){username=s;}
                QString getPassword(){return password;}
		void setPassword(QString s){password=s;}
                QString getRemotePath(){return remotePath;}
		void setRemotePath(QString s){remotePath=s;}
                QString getLocalPath(){return localPath;}
		void setLocalPath(QString s){localPath=s;}
                int getProxyIndex(){return proxyIndex;}
		void setProxyIndex(int i){proxyIndex=i;}
		int getEncryptMethod(){return encryptMethod;}
		void setEncryptMethod(int i){encryptMethod=i;}
		bool getIsPasv(){return pasv;}
		void setPasv(bool i){pasv=i;}
		bool getIsCorrectPasv(){return correctPasv;}
		void setCorrectPasv(bool i){correctPasv=i;}
		QString getEncoding(){return encoding;}
		void setEncoding(QString s){encoding=s;}

	private:
		QString comment;
		QString siteName;
		QString host;
		unsigned int port;
		QString username;
		QString password;
		QString remotePath;
		QString localPath;
		int proxyIndex;
		int encryptMethod;
		bool pasv;
		bool correctPasv;
		QString encoding;
};

#endif

