/***************************************************************************
 *   This file is part of the KuFTP project                                *
 *   Copyright (C) 2008 by Jiang JingJing                                  *
 *   jiangjingjing214@gmail.com                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <qapplication.h>
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include "kuftp.h"

static const char description[] =I18N_NOOP("KuFTP -- A GUI FTP Client for KDE");
static const char version[] = "1.5.0";
static KCmdLineOptions options[] =
{
       KCmdLineLastOption
};

int main(int argc,char *argv[])
{
	KAboutData about("kuftp", I18N_NOOP("KuFTP"), version, description,
	KAboutData::License_GPL, "(C) 2008 Jiang JingJing", 0,"http://kuftp.sourceforge.net","kuftp.dev@gmail.com");
     	about.addAuthor( "Jiang JingJing ", 0, "jiangjingjing214@gmail.com","http://kuftp.sourceforge.net");
	KCmdLineArgs::init(argc, argv, &about);
	KCmdLineArgs::addCmdLineOptions(options);
	KApplication app;
	KuFtp *kuftp=new KuFtp;
	app.setMainWidget(kuftp);
	kuftp->show();
	return app.exec();
}





